#include <hmg.ch>

*------------------------------------------------------------* 
FUNCTION  SQlite_View_()
*------------------------------------------------------------*
 
   set navigation extended       
   set date german               
   set date format to "dd/mm/yyyy"
   set century on                
   
   public aTable  := {}
   public aCurRow := {}
   public dbo     := nil
   public cDBName  , PriNc ,  mtable , aFldnm
   public Num , poner, poner1 , poner2
   public fColorx , bColorx

   PriNc :=  ( HB_CurDrive() + ':\' + Curdir() )  

   DIRCHANGE( PriNc )   

   lNoChangeCurrDir := .T.
   mtableX := GetFile ( { {'db3 Files','*.db3'} } , "Select SQLite File",   lNoChangeCurrDir   )

*----------------------------------------------------------------------------------*
   cFileD := mTableX   
   ficheraaXq := RIGHT( cFileD , LEN(cFileD) - RAT("\", cFileD ))  
*--------------------------  Solo File  =  Calculo Digitos ------------------------*
   mtable =  LEFT ( ficheraaXq , LEN( ficheraaXq ) - 4 ) + '.mem'
*----------------------------------------------------------------------------------*

 IF !FILE( mtable) 
     MsgStop("Falta Fichero " +  mtable , "Attention !!!")
     mtableX := GetFile ( { {'db3 Files','*.db3'} } , "Select SQLite File",   lNoChangeCurrDir   )
     RETURN NIL
 ENDIF

 RESTORE FROM &mtable  ADDITIVE

 cDBName := ALLTRIM(iiNom) +'.db3'

 IF !FILE( cDBName) 
     MsgStop("Falta Fichero " +  cDBName, "Attention !!!") 
     RETURN NIL
 ENDIF

 Num := ii 

 Tabley()

  set century on
  set date ital

  connect1db(cDBName)

  Define window sample at 0,0 width 800 height 600 ICON "Resource\Careto.ico" TITLE"View  SQLite -"+" &cDBName " ;
                                    BACKCOLOR { 190,228,226 }  CHILD NOSIZE NOMAXIMIZE ON INIT IniTius() 

     ON KEY ESCAPE ACTION Exit_Guay()

     @ 025,275 LABEL label1 VALUE"View  SQLite -"+SPACE(2)+ cDBName WIDTH 400 HEIGHT 20  BACKCOLOR { 190,228,226 } FONT  "Arial" SIZE 13 BOLD

*-----------------------------------------------------  table  --------------------------------------------------------------*
 PUBLIC  fColor := { || if ( This.CellRowIndex/2 == int(This.CellRowIndex/2) , BLUE , RED ) }
 PUBLIC  bcolor := { || if ( This.CellRowIndex/2 = int (This.CellRowIndex/2) , {180,200,255} , {255,255,211} ) }   
*------------------------------------------------------- Color Barra Video Inversa -------------------------------------------*
  _HMG_SYSDATA [ 348 ] := { 199,250,225 }    
  _HMG_SYSDATA [ 349 ] := { 007,071,041 }   
  _HMG_SYSDATA [ 350 ] := { 235,237,095 }   
  _HMG_SYSDATA [ 351 ] := { 069,015,135 }  
*-----------------------------------------------------------------------------------------------------------------------------*
      
     define grid table
          row    060
          col    019
          width  752
          height 431 
          widths  { &poner1  }
          headers { &poner2  }
          DYNAMICFORECOLOR  &fColorx   
          DYNAMICBACKCOLOR  &bColorx     
          BACKCOLOR { 209,238,238 }
          FONTCOLOR { 000,255,020 } 
          ONCHANGE ArribAbajoX()  
          MULTISELECT .F.
          FONTNAME 'Arial'
          FONTSIZE 9
          SHOWHEADERS .F. 
          CELLNAVIGATION .T.
     end grid


    @ 525, 115 Label Label_1G               ;   
                width   055                 ;
                height  027                 ;  
                FONT "Arial"  SIZE 10 BOLD  ;
                FONTCOLOR { 000, 000, 000 } ;
                BACKCOLOR { 190,228,226 }   ;      
                VALUE "Records:"  
     
     @ 525, 177 Label Label_2G              ;   
                width   100                 ;
                height  027                 ;  
                FONT "Arial"  SIZE 10 BOLD  ;
                FONTCOLOR { 000, 000, 000 } ;
                BACKCOLOR { 190,228,226 }   ;       
                VALUE ""  

*------------------------------------------------------------------------------------------------------------* 
*----------------------------------------------------  Up-Down  ---------------------------------------------*
*------------------------------------------------------------------------------------------------------------*    

    DEFINE BUTTON But_01xQ  
         ROW    520 
         COL    580         
         WIDTH  028 
         HEIGHT 028 
         PICTURE "Resource/btn_01.bmp"   
         TOOLTIP 'First'//'Primero'  
         ACTION  GoFirst()                                         
     END BUTTON

     DEFINE BUTTON But_02xQ 
         ROW    520
         COL    609 
         WIDTH  028  
         HEIGHT 028  
         PICTURE "Resource/btn_02.bmp"    
         TOOLTIP 'Previous'//'Anterior'  
         ACTION GoPrevious()  
    END BUTTON
 
    DEFINE BUTTON But_03xQ
         ROW    520
         COL    639
         WIDTH  028  
         HEIGHT 028  
         PICTURE "Resource/btn_03.bmp"  
         TOOLTIP 'Next'//'Siguiente' 
         ACTION  GoNext() 
    END BUTTON   

    DEFINE BUTTON But_04xQ
         ROW    520
         COL    669
         WIDTH  028  
         HEIGHT 028  
         PICTURE "Resource/btn_04.bmp"  
         TOOLTIP 'Last'  //'Ultimo' 
         ACTION  GoLast() 
    END BUTTON     
*------------------------------------------------------------------------------------------------------------*
*------------------------------------------------------------------------------------------------------------*  

     define button P_Exit
          row 513 
          col 330
          width 130
          height 40
          caption SPACE(5)-"Exit"
          action Exit_Guay()    
          FONTNAME "ARIAL" 
          FONTSIZE 10 
          FONTBOLD .T.
          FONTITALIC .T. 
          PICTURE 'Resource\exitx.bmp'    
          PICTALIGNMENT Left 
     end button

     Chane_Stylex()

  end window
    
     SETWINDOWCURSOR ( sample.P_Exit.Handle, "Resource\SmoothHand.cur")

     RefreshTable()

  sample.center
  sample.activate

Return NIL

*---------------------------------------------------------*
 Function IniTius()
*---------------------------------------------------------*

 sample.table.SetFocus
 sample.table.Value := { 1, sample.table.Value[2] }
 ArribAbajoX()   

 Return

*---------------------------------------------------------*
 Function GoFirst()
*---------------------------------------------------------*

 sample.table.SetFocus
 sample.table.Value := { 1, sample.table.Value[2] }
 ArribAbajoX()   

 Return

*---------------------------------------------------------*
 Function GoPrevious()
*---------------------------------------------------------*
  LOCAL aValue := sample.table.Value

  sample.table.SetFocus

  IF aValue[1] > 1
    sample.table.Value := { aValue[1] - 1, aValue[2] }
    ArribAbajoX()   
  ENDIF

 Return

*---------------------------------------------------------*
 Function GoNext()
*---------------------------------------------------------*
  LOCAL aValue := sample.table.Value

  sample.table.SetFocus

  IF aValue[1] < sample.table.Itemcount
    sample.table.Value := { aValue[1] + 1, aValue[2] }
    ArribAbajoX()   
  ENDIF

 Return

*---------------------------------------------------------*
 Function GoLast()
*---------------------------------------------------------*

 sample.table.SetFocus
 sample.table.Value := { sample.table.Itemcount, sample.table.Value[2] }

 ArribAbajoX()   

 Return

*---------------------------------------------*
FUNCTION ArribAbajoX()      // Cuenta Registros
*---------------------------------------------*

 sample.Label_2G.Value :=   ALLTRIM( STR(sample.table.Value[ 1 ] )) + " / " + ALLTRIM( STR(sample.table.ItemCount )) 

Return 	

*------------------------------------------------------------* 
 FUNCTION Exit_Guay()
*------------------------------------------------------------* 
  sample.Release  

  DIRCHANGE( PriNc ) 
    
  DECLARE WINDOW ImpGenForm
     select 1
     use _files
   
     InfoViewer(ImpGenForm.Combo_1.Value)
     ImpGenForm.Combo_1.Refresh
     ImpGenForm.Combo_1.SetFocus 

Return Nil

*------------------------------------------------------------* 
 FUNCTION Chane_Stylex()
*------------------------------------------------------------* 
 HMG_ChangeWindowStyle ( GetControlHandle( "table","Sample"), LVS_REPORT, NIL, .T. )
 Return Nil

*------------------------------------------------------------* 
 FUNCTION RefreshTable()
*------------------------------------------------------------* 
 RESTORE FROM &mtable  ADDITIVE

 Num := ii
 Tabley()

       sample.table.DeleteAllItems()

       aTable := SQL(dbo,"SELECT * FROM &iiNom ORDER BY &iiTips ")

       for i := 1 to len(aTable) 
             aCurRow := aTable[i]
             sample.table.additem({ &poner })
       next i
       if sample.table.itemcount > 0
             sample.table.value := 1 
       endif
              sample.table.Refresh
 Return Nil

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*


