/*
  http://hmgforum.com/viewtopic.php?f=5&t=5989

  Created by  Dragan Cizmarevic < dragancesu(at)gmail.com > 
  Modifications  by Mustafa Lpez  05-05-2019
*/

#Include "hmg.ch"
#include "Directry.ch"

FUNCTION MAIN  

*------------------------------------------------------------------------*
  REQUEST DBFCDX  , DBFFPT 
  REQUEST DBFNTX  , DBFDBT
  REQUEST SDDODBC , SQLMIX
  RDDSETDEFAULT( "DBFCDX" , "DBFNTX" , "SQLMIX" )
*------------------------------------------------*
      REQUEST HB_Lang_ES
      REQUEST HB_CODEPAGE_ESWIN
      HB_LangSelect("ES")
      HB_SetCodePage("ESWIN")
*-------------------------------------------------*
 
  SET NAVIGATION EXTENDED
  SET TOOLTIPSTYLE BALLOON

  PUBLIC  cDatum ,  DbfNomy , iiNom , iiTips, baNom , Copyx
  PUBLIC  PriNc      := HB_Curdrive() +":\"+Rtrim(Curdir() ) + "\"     
  PUBLIC  oDB        := nil
  PUBLIC  oDB1       := nil
  PUBLIC  cTableName := ""
  PUBLIC  cNewTable  := ""
  PUBLIC  lOpened    := .F.
  PUBLIC  cFolder    := ""

  DIRCHANGE( PriNc )   

  IF !HB_DirExists( PriNc +"\SQLite_New_PRG" )   
      DirMake( PriNc+"\SQLite_New_PRG" ) 
      COPY FILE( 'Resource\Sql1.prg')    TO ( 'SQLite_New_PRG\Sql1.prg')  
      COPY FILE( 'Resource\TablieS.prg') TO ( 'SQLite_New_PRG\TablieS.prg')  
  ENDIF

  read_dir()

  use _Files

	DEFINE WINDOW ImpGenForm ;
		AT 0,0           ;
		WIDTH  800       ;  
		HEIGHT 570       ;
                ICON "Logo"      ;  
		TITLE 'Generate Import Program' ;
                BACKCOLOR { 190,228,226 }  ;
		MAIN NOSIZE NOMAXIMIZE  
			
                ON KEY ESCAPE ACTION Tot_Release()  

                @ 025,043 LABEL labely VALUE "Choose DataBase" WIDTH 300 HEIGHT 20  BACKCOLOR { 190,228,226 } FONT  "Arial" SIZE 11 BOLD
   
		@ 052,035 COMBOBOX Combo_1      ;
			ITEMSOURCE _files->name ;
			VALUE 1                 ;
			WIDTH 150 HEIGHT 100    ;
			FONT "Arial" SIZE 10    ; 
			TOOLTIP "Form DBF"      ;
                        ON CHANGE InfoViewer(ImpGenForm.Combo_1.Value)  

       DEFINE IMAGE Fondo_1
           ROW 050 ; COL 230 ; WIDTH 510 ; HEIGHT 435          
           PICTURE  "Resource\SQLite.jpg"      
           STRETCH .T.
       END IMAGE


 @ 125,040 BUTTON IMPORT_109             ;
      CAPTION SPACE(2)-"DBF - SQLite"  ;
      PICTURE 'Resource\sqlite_2.bmp'    ;  
      ACTION  SQlite2dbf()               ;   
      TOOLTIP 'Converter Databases'      ; 
      FONT "ARIAL" SIZE 10 BOLD ITALIC   ;    
      LEFT                               ;
      WIDTH  140                         ;
      HEIGHT 050

 @ 185,040 BUTTON IMPORT_110             ;
      CAPTION SPACE(2)-"Create Program"  ;
      PICTURE 'Resource\StructurX.bmp'   ;
      ACTION   imp_genn( ImpGenForm.Combo_1.Value )  ;   
      TOOLTIP 'Create Program'           ; 
      FONT "ARIAL" SIZE 10 BOLD ITALIC   ;    
      LEFT                               ;
      WIDTH  140                         ;
      HEIGHT 050

 @ 245,040 BUTTON IMPORT_111             ;
      CAPTION SPACE(2)-"Create DBF"      ;
      PICTURE 'Resource\dEbax2.bmp'      ;
      ACTION  Create_Dbf()               ;   
      TOOLTIP 'Create DBF'               ; 
      FONT "ARIAL" SIZE 10 BOLD ITALIC   ;    
      LEFT                               ;
      WIDTH  140                         ;
      HEIGHT 050

 @ 305,040 BUTTON IMPORT_112             ;
      CAPTION SPACE(2)-" View DBF "      ;
      PICTURE 'Resource\View.bmp'        ;
      ACTION   InfoViewer2()             ;   
      TOOLTIP 'View DBF'                 ; 
      FONT "ARIAL" SIZE 10 BOLD ITALIC   ;    
      LEFT                               ;
      WIDTH  140                         ;
      HEIGHT 050

 @ 365,040 BUTTON IMPORT_113             ;
      CAPTION SPACE(2)-"View SQLite"     ;
      PICTURE 'Resource\View.bmp'        ;
      ACTION  SQlite_View_()             ;   
      TOOLTIP 'View SQLite'              ; 
      FONT "ARIAL" SIZE 10 BOLD ITALIC   ;    
      LEFT                               ;
      WIDTH  140                         ;
      HEIGHT 050

 @ 425,040 BUTTON IMPORT_114             ;
      CAPTION SPACE(4)-"Exit"            ;
      PICTURE 'Resource\exitx.bmp'       ;
      ACTION   Tot_Release()             ;  
      TOOLTIP 'Exit'                     ; 
      FONT "ARIAL" SIZE 10 BOLD ITALIC   ;    
      LEFT                               ;
      WIDTH  140                         ;
      HEIGHT 050

   END WINDOW		 

       Chane_Styl()

       SETWINDOWCURSOR (  ImpGenForm.IMPORT_114.Handle, "Resource\SmoothHand.cur")

	CENTER WINDOW   ImpGenForm
	ACTIVATE WINDOW ImpGenForm

Return nIL



*------------------------------------------------------------* 
 FUNCTION Tot_Release() 
*------------------------------------------------------------* 
  dbcloseall()

  PRIVATE  aFiles := DIRECTORY("_*.dbf"), aNames := {}
  AEVAL(aFiles,{ | file | AADD(aNames, FErase(file[F_NAME])) })

  dbcloseall()

  PRIVATE  aFilas := DIRECTORY("_*.mem"), aNamas := {}
  AEVAL(aFilas,{ | fila | AADD(aNamas, FErase(fila[F_NAME])) })
 
  dbcloseall()

  ImpGenForm.Release

 Return Nil 

*------------------------------------------------------------* 
 FUNCTION Chane_Styl()
*------------------------------------------------------------* 
 HMG_ChangeWindowStyle ( GetControlHandle( "Fondo_1","ImpGenForm"), LVS_REPORT,.T., .T. )
 Return Nil

*------------------------------------------------------------* 
FUNCTION InfoViewer2()
*------------------------------------------------------------* 
 _redX := ImpGenForm.Combo_1.Value

 dbcloseall()
 SELECT 1
 use _Files
 go _redX

 _name = alltrim(name)
  DeleteFile("_Filex.mem") 
  SAVE ALL LIKE _name* TO _Filex.mem 
  dbcloseaLL()
  SELECT 1
  CLOSE DATABASES

  View_DBF()  

Return Nil

*------------------------------------------------------------* 
FUNCTION InfoViewer( _redX )
*------------------------------------------------------------* 
 dbcloseall()
 SELECT 1
 use _files
 go _redX

 _name = alltrim(name)
 SAVE ALL LIKE  _name* TO _Filex.mem 

Return Nil

*------------------------------------------------------------* 
FUNCTION imp_GENN ( _red )
*------------------------------------------------------------* 
   DIRCHANGE( PriNc )   
   dbcloseall()
   SELECT 1
   use _files
   go _red

  _name = alltrim(name)
  DbfNomy := CamelCase( ALLTRIM( LOWER( _name) ) ,.T.,{"_","/","\"}) 

  SAVE ALL LIKE  DbfNomy* TO _Filex.mem                  
  dbcloseaLL()

select 4
use _files
set filter to name = _name
dbgotop()

_xx = recno()

_nn = alltrim(str(_xx))
_nnn = 111

_imp_prg = 'imp' + DbfNomy + '.prg'           

select 4
tek_red = 0

set device to printer
set printer to &_imp_prg

@ tek_red, 0 say '/*'
tek_red++
@ tek_red, 0 say ' * This program is generated by HMGCASE'
tek_red++
@ tek_red, 0 say ' * developed by Dragan Cizmarevic < dragancesu(at)gmail.com > '
tek_red++
@ tek_red, 0 say ' */'
tek_red++

tek_red++
@ tek_red, 0 say '#include <hmg.ch>'
tek_red++

tek_red++
@ tek_red, 0 say 'PROCEDURE MAIN '

tek_red++
tek_red++
@ tek_red, 0 say '   PRIVATE oServer := Nil, lLogin := .F., dbo := nil ' 
tek_red++
@ tek_red, 0 say '   PRIVATE oRow:= {}, oQuery:="", _firstRec:=0, _lastRec:=0, _currRec:=0 '
tek_red++
@ tek_red, 0 say '   PRIVATE cDataBase:= '+'"'+ DbfNomy + '.db3'+'"'+ ' , cDatum , myt'                        
tek_red++

/* 1: create SQLite database, in this case on local folder
   2: create database for transfer data (database prenos)
      in this case is named PRENOS something like TRANSFER in my language
   3: start this program
   
   select dbf from list and program create impDBFNAME.prg
   just compile: build impDbfName 
*/

/* 1: crear una base de datos SQLite, en este caso en una carpeta local
 2: crear base de datos para la transferencia de datos (base de datos prenos)
 En este caso se llama PRENOS algo as como TRANSFERENCIA en mi idioma.
 3: inicia este programa

 seleccione dbf de la lista y el programa crea impDBFNAME.prg
 simplemente compilar: construir impDbfName
*/

tek_red++
@ tek_red, 0 say '   set navigation extended       '
tek_red++
@ tek_red, 0 say '   set date german               '
tek_red++
@ tek_red, 0 say '   set date format to '+'"dd/mm/yyyy"'          
tek_red++
@ tek_red, 0 say '   set century on                '
tek_red++

tek_red++
@ tek_red, 0 say '   set procedure to Sql1'
tek_red++
@ tek_red, 0 say '   set procedure to tablieS'
tek_red++
tek_red++

@ tek_red, 0 say '   DEFINE WINDOW Imp_' + _nn + ' ;'
tek_red++
@ tek_red, 0 say '      WIDTH 400 ;'
tek_red++
@ tek_red, 0 say '      HEIGHT 300 ;'
tek_red++
@ tek_red, 0 say '      TITLE "Import Dbf'+ SPACE(1) + '-'+ SPACE(1) +'SQLite" ;'
tek_red++
@ tek_red, 0 say '      MAIN NOSIZE NOMAXIMIZE ; '                           
tek_red++
@ tek_red, 0 say '      ON INIT imp_dbf_'+_nn+'()' 
tek_red++

tek_red++
@ tek_red, 0 say '      @ 050, 050 LABEL label1 VALUE "' + DbfNomy + '.Dbf'+ SPACE(2) + '-'+ SPACE(2) +'SQLite" WIDTH 200'  
tek_red++
@ tek_red, 0 say '      @ 100, 050 LABEL label2 VALUE "0/0"'

tek_red++
tek_red++
@ tek_red, 0 say '      @ 150, 50 PROGRESSBAR progres_1 ;'
tek_red++
@ tek_red, 0 say '         RANGE 0,100 ;'
tek_red++
@ tek_red, 0 say '         WIDTH 300 HEIGHT 25 '
tek_red++

tek_red++
@ tek_red, 0 say '   END WINDOW'
tek_red++

tek_red++
@ tek_red, 0 say '   CENTER WINDOW Imp_' + _nn
tek_red++
@ tek_red, 0 say '   ACTIVATE WINDOW Imp_' + _nn
tek_red++

tek_red++
@ tek_red, 0 say 'RETURN'
tek_red++

@ tek_red, 0 say '*------------------------------------------------------------* '
tek_red++
@ tek_red, 0 say 'FUNCTION imp_dbf_' + _nn + '()'
tek_red++
@ tek_red, 0 say '*------------------------------------------------------------* '
tek_red++

/* konekcija na bazu */

tek_red++
@ tek_red, 0 say '   Connect1db ( cDatabase, .t. )'
tek_red++

/* brisanje tabele ako postoji */

tek_red++
@ tek_red, 0 say '   cQuery := " DROP TABLE IF EXISTS ' + lower(_name) + ' "'
tek_red++
tek_red++
@ tek_red, 0 say '   if .not. miscsql(dbo,cQuery) '
tek_red++
@ tek_red, 0 say '      Return nil '
tek_red++
@ tek_red, 0 say '   Endif '
tek_red++

select 10
use &_name

tek_red++
@ tek_red,0 say '   cQuery := "CREATE TABLE ' + lower(alltrim(_name)) + ' ( "'
tek_red++

PRIVATE a_name[64], a_type[64], a_len[64], a_dec[64]

ii = AFIELDS(a_name)
AFIELDS(a_name,a_type,a_len,a_dec)   
      
for i = 1 to ii

   _polje = a_name[i]
   _tip   = a_type[i]
   _duz   = alltrim(str(a_len[i]))
   _dec   = alltrim(str(a_dec[i]))

   _text = padr(_polje,15)

   do case 
      case _tip = 'N'
           _opis = 'DECIMAL (' + _duz + ',' + _dec + ')'
   
      case _tip = 'C'
           _opis = 'CHAR (' + _duz + ')'
         iiTips :=   _polje 
      case _tip = 'D'
           _opis = 'CHAR (10)'   //'DATE' 

      case _tip ='M'
          _opis = "VARCHAR("+LTRIM(STR(100))+")"   

      case _tip = 'L'
           _opis = "BOOLEAN"    //   "BOOL"       
               
      otherwise
           loop
               
   endcase

   @ tek_red,0 say '   cQuery += "' + _text + _opis + if(i<ii,',','') + ' "'
   tek_red++

next 

*-----------------------------------------------------------------------------*
*-----------------------------------------------------------------------------*
  iiNom := DbfNomy                        //  iiTips :=   _polje 
  baNom := DbfNomy +".mem"   
  SAVE ALL LIKE  ii* TO &baNom            //  Nmero de Registros 
*-----------------------------------------------------------------------------*
*-----------------------------------------------------------------------------*

@ tek_red,0 say '   cQuery += "); "'
tek_red++
tek_red++
@ tek_red, 0 say '   if .not. miscsql(dbo,cQuery) '
tek_red++
@ tek_red, 0 say '      Return nil '
tek_red++
@ tek_red, 0 say '   Endif '
tek_red++

tek_red++
@ tek_red, 0 say '   USE ' + _name
tek_red++
@ tek_red, 0 say '   x1 := 0'
tek_red++
@ tek_red, 0 say '   x2 := reccount()'
tek_red++

tek_red++
@ tek_red, 0 say '   DO WHILE .NOT. eof()'
tek_red++
tek_red++
@ tek_red, 0 say '      x1++'
tek_red++

for i = 1 to ii
   _polje = a_name[i]
   _tip   = a_type[i]
   _duz   = alltrim(str(a_len[i]))
   _dec   = alltrim(str(a_dec[i]))
   _text  = padr(_polje,15)
   
   @ tek_red,0 say '      _' + _text + ' = ' + _text
   tek_red++
   
   if _tip = 'C'
           _opis = '      _' + _text + ' = strtran(_' + alltrim(_text) + ',"' + chr(39) + '","&#039")'
           @ tek_red,0 say _opis
           tek_red++
   endif

   if _tip = 'D'
           _opis = '      _' + _text + ' = DTOS(' + alltrim(_text) +')'    
           @ tek_red,0 say _opis
           tek_red++
 myt = SPACE(06)+'cDatum := right(DTOS('+ alltrim(_polje) +'),2) +'+'"/"+ substr(DTOS('+ alltrim(_polje)+ '),5,2)+'+'"/"+ left(DTOS('+ alltrim(_polje)+'),4) '         
           tek_red++
           @ tek_red,0 say  myt
           tek_red++
           tek_red++
   endif
   
   if _tip = 'L'                                                           
           _opis = '      _' + _text + ' = AllTrim(iif('+  alltrim(_text)  +' == .F.,' + "'.F.'" +','+ "'.T.'" +'))'         
           @ tek_red,0 say _opis
           tek_red++
   endif 
                              
 next 

_insert = 'INSERT INTO ' + _name + ' VALUES (' 
_fields = ''
_rbr = 0

for i = 1 to ii
   _polje = a_name[i]
   _tip   = a_type[i]
   _duz   = alltrim(str(a_len[i]))
   _dec   = alltrim(str(a_dec[i]))

if !empty(_fields) .and.  _rbr < ii
   _fields = _fields + ', '
endif

if _tip = 'N'
    _p = chr(34) + ' + str(_' + alltrim(_polje) + ') + ' + chr(34)             
endif

if _tip = 'C'
    _p = chr(39) + chr(34) + ' + alltrim(_' + alltrim(_polje) + ') + ' + chr(34) + chr(39)

endif

if _tip = 'D'
    _p = chr(39) + chr(34) + ' + alltrim(cDatum) + ' + chr(34) + chr(39)
*   _p = chr(34) + ' + dtos(_'+ alltrim(_polje) +') + '+chr(34)   // <-------- Anulado 
endif

if _tip = 'M'
   _p = chr(39) + chr(34) + ' + alltrim(_' + alltrim(_polje) + ') + ' + chr(34) + chr(39)
endif

if _tip = 'L'
   _p = chr(39) + chr(34) + ' + alltrim(_' + _polje + ') + ' + chr(34) + chr(39)
endif

_fields = _fields + _p

_rbr++

next

_linija := '   cQuery := ' + chr(34) + _insert + _fields + ')' + chr(34)

tek_red++
tek_red++
@ tek_red, 0 say _linija

tek_red++
tek_red++

@ tek_red, 0 say '   if .not. miscsql(dbo,cQuery) '
tek_red++
@ tek_red, 0 say '      Return nil '
tek_red++
@ tek_red, 0 say '      exit'
tek_red++
@ tek_red, 0 say '    endif'
tek_red++

tek_red++
@ tek_red, 0 say '   Imp_' + _nn + '.Progres_1.Value := x1/x2*100'
tek_red++
@ tek_red, 0 say '   Do Events'
tek_red++

tek_red++
@ tek_red, 0 say '   Imp_' + _nn + '.Label2.Value := alltrim(str(x1)) + ' + chr(39) + ' / ' + chr(39) + ' + alltrim(str(x2))'
tek_red++

tek_red++
@ tek_red, 0 say '   dbskip()'
tek_red++

tek_red++
@ tek_red, 0 say '   ENDDO'
tek_red++

tek_red++
@ tek_red, 0 say '   dbcloseall()'
tek_red++
tek_red++
@ tek_red, 0 say '   View_Grid() '
tek_red++
@ tek_red, 0 say 'Imp_'+_nn+'.Release'
tek_red++
tek_red++
@ tek_red, 0 say 'RETURN 0'
tek_red++
tek_red++
@ tek_red, 0 say '*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*'
tek_red++
@ tek_red, 0 say '/*'
tek_red++
@ tek_red, 0 say ' * Developed by Mustafa Lpez < mustalopez@gmail.com > '
tek_red++
@ tek_red, 0 say ' */'
tek_red++
@ tek_red, 0 say '*------------------------------------------------------------* '
tek_red++
@ tek_red, 0 say 'FUNCTION View_Grid() '
tek_red++
@ tek_red, 0 say '*------------------------------------------------------------* '
tek_red++

@ tek_red, 0 say 'public aTable := {}'
tek_red++
@ tek_red, 0 say 'public aCurRow := {}'
tek_red++
@ tek_red, 0 say 'public dbo := nil'
tek_red++
@ tek_red, 0 say 'public cDBName '
tek_red++
@ tek_red, 0 say 'public Num , poner, poner1 , poner2' 
tek_red++
tek_red++
@ tek_red, 0 say ' RESTORE FROM  '+ baNom +' ADDITIVE'
tek_red++
tek_red++
@ tek_red, 0 say ' cDBName := ALLTRIM(iiNom) +'+"'.db3'" 
tek_red++
tek_red++
@ tek_red, 0 say ' Num := ii '
tek_red++
tek_red++
@ tek_red, 0 say ' Tabley()'
tek_red++
tek_red++
@ tek_red, 0 say ' set century on'
tek_red++
@ tek_red, 0 say ' set date ital'
tek_red++
tek_red++
@ tek_red, 0 say ' connect1db(cDBName)'  
tek_red++ 
tek_red++
@ tek_red, 0 say ' Define window sample at 0,0 width 800 height 600  TITLE '+'"View  SQLite -"'+'+SPACE(2)+'+'" &cDBName "' +' CHILD NOSIZE NOMAXIMIZE' 
tek_red++
tek_red++
@ tek_red, 0 say ' ON KEY ESCAPE ACTION Back_SQLite()'
tek_red++
tek_red++
@ tek_red, 5 say '@ 025,275 LABEL label1 VALUE '+'"View  SQLite -"'+'+SPACE(2)+ cDBName WIDTH 400 HEIGHT 20 FONT '+' "Arial"'+ ' SIZE 13 BOLD'   
tek_red++
tek_red++
@ tek_red, 5 say 'define grid table'
tek_red++
@ tek_red, 10 say 'row 60'
tek_red++
@ tek_red, 10 say 'col 19'
tek_red++
@ tek_red, 10 say 'width  752'
tek_red++
@ tek_red, 10 say 'height 431'
tek_red++
@ tek_red, 10 say 'widths  { &poner1  }' 
tek_red++
@ tek_red, 10 say 'headers { &poner2  }'
tek_red++
@ tek_red, 10 say 'showheaders .f.'
tek_red++
@ tek_red, 5 say 'end grid'
tek_red++
tek_red++
@ tek_red, 5 say 'define button P_Exit'
tek_red++
@ tek_red, 10 say 'row 513'
tek_red++
@ tek_red, 10 say 'col 330'
tek_red++
@ tek_red, 10 say 'width  130'
tek_red++
@ tek_red, 10 say 'height  40'  
tek_red++
@ tek_red, 10 say 'caption'+' "Exit"'
tek_red++
@ tek_red, 10 say 'action Back_SQLite()'                   
tek_red++
@ tek_red, 5 say 'end button'
tek_red++
tek_red++
@ tek_red, 3 say '  Chane_Style()'
tek_red++
tek_red++
@ tek_red, 0 say '  end window'
tek_red++
tek_red++
@ tek_red, 3 say '  RefreshTable()'
tek_red++
@ tek_red, 3 say '  CopyStructur()'
tek_red++
tek_red++
@ tek_red, 0 say '  sample.center'
tek_red++
@ tek_red, 0 say '  sample.activate'
tek_red++
tek_red++
@ tek_red, 0 say 'Return NIL'
tek_red++
tek_red++

@ tek_red, 0 say '*------------------------------------------------------------* '
tek_red++
@ tek_red, 0 say ' FUNCTION Back_SQLite()' 
tek_red++
@ tek_red, 0 say '*------------------------------------------------------------* '
tek_red++
@ tek_red, 0 say ' SQCopy :=  cDBName ' 
tek_red++
@ tek_red, 0 say ' IF FILE( SQCopy)  ' 
tek_red++
@ tek_red, 0 say '    COPY FILE( SQCopy ) TO ('+'"..\"'+'+ SQCopy )' 
tek_red++
@ tek_red, 0 say ' ENDIF  ' 
tek_red++
@ tek_red, 0 say '    sample.Release ' 
tek_red++
@ tek_red, 0 say '  Return Nil' 
tek_red++
tek_red++
@ tek_red, 0 say '*------------------------------------------------------------* '
tek_red++
@ tek_red, 0 say ' FUNCTION Chane_Style()' 
tek_red++
@ tek_red, 0 say '*------------------------------------------------------------* '
tek_red++
@ tek_red, 0 say ' HMG_ChangeWindowStyle ( GetControlHandle( '+'"table"'+','+'"Sample"'+ '), LVS_REPORT, NIL, .T. )' 
tek_red++
@ tek_red, 0 say ' Return Nil' 
tek_red++
tek_red++
@ tek_red, 0 say '*------------------------------------------------------------* '
tek_red++
@ tek_red, 0 say ' FUNCTION RefreshTable()'
tek_red++
@ tek_red, 0 say '*------------------------------------------------------------* '
tek_red++
tek_red++
@ tek_red, 0 say ' RESTORE FROM  '+ baNom +' ADDITIVE'
tek_red++
tek_red++
@ tek_red, 0 say ' Num := ii' 
tek_red++
@ tek_red, 0 say ' Tabley()' 
tek_red++
tek_red++
@ tek_red, 6 say ' sample.table.DeleteAllItems()'
tek_red++
tek_red++
@ tek_red, 6 say ' aTable := SQL(dbo,'+'"SELECT * FROM &iiNom ORDER BY &iiTips "'+')'
tek_red++
tek_red++
@ tek_red, 6 say ' for i := 1 to len(aTable) '
tek_red++
@ tek_red, 12 say ' aCurRow := aTable[i]'
tek_red++
@ tek_red, 12 say ' sample.table.additem({ &poner })' 
tek_red++
@ tek_red, 6 say ' next i'
tek_red++
@ tek_red, 6 say ' if sample.table.itemcount > 0'
tek_red++
@ tek_red, 12 say ' sample.table.value := 1 '
tek_red++
@ tek_red, 6 say ' endif' 
tek_red++
@ tek_red, 12 say '  sample.table.Refresh' 
tek_red++
@ tek_red, 0 say ' Return Nil' 
tek_red++
tek_red++
@ tek_red, 0 say '*------------------------------------------------------------* '
tek_red++
@ tek_red, 0 say ' FUNCTION CopyStructur()'
tek_red++
@ tek_red, 0 say '*------------------------------------------------------------* '
tek_red++
tek_red++
@ tek_red, 0 say ' dbcloseall()' 
tek_red++
@ tek_red, 0 say ' IF !FILE('+'"_Struct.dbf"'+')'
tek_red++
@ tek_red, 5 say '    stru_dbf := {}'
tek_red++
@ tek_red, 5 say '    AADD(stru_dbf,{'+'"TABTYPE"'+','+'"c"'+', 10,0})'
tek_red++
@ tek_red, 5 say '    AADD(stru_dbf,{'+'"TABNAME"'+','+'"c"'+', 10,0})'
tek_red++
@ tek_red, 5 say '    AADD(stru_dbf,{'+'"TABSQL"' +','+'"c"'+',250,0})'
tek_red++
@ tek_red, 5 say '    DBCREATE('+'"_Struct"'+',stru_dbf)'
tek_red++
@ tek_red, 0 say ' ENDIF'
tek_red++
@ tek_red, 5 say '  use _Struct new'
tek_red++
@ tek_red, 5 say '  zap'
tek_red++
@ tek_red, 0 say '   lres := connect1db( cDBName, .f. )' 
tek_red++
@ tek_red, 0 say '  _sql ='+ '"SELECT type, tbl_name, sql FROM sqlite_master"'
tek_red++
@ tek_red, 0 say '        aTable := sql(dbo,_sql) '
tek_red++
@ tek_red, 0 say '   for i := 1 to len(aTable)' 
tek_red++
@ tek_red, 0 say '      aCurRow := aTable[i] '
tek_red++
@ tek_red, 0 say '      _tip    := aCurRow[1]'
tek_red++
@ tek_red, 0 say '      _tabela := aCurRow[2]'
tek_red++
@ tek_red, 0 say '      _desc   := aCurRow[3]' 
tek_red++
tek_red++
@ tek_red, 0 say '             dbappend()'
tek_red++ 
@ tek_red, 0 say '             replace tabtype with _tip'
tek_red++
@ tek_red, 0 say '             replace tabname with _tabela'
tek_red++
@ tek_red, 0 say '             replace tabsql  with  STRTRAN( _desc ,'+'"     " , "" )'
tek_red++
@ tek_red, 0 say '   next i'
tek_red++
@ tek_red, 0 say ' dbcloseall()'
tek_red++
tek_red++
@ tek_red, 0 say ' nomyx := '+'"stru"'+'+ ALLTRIM(iiNom)+'+'".txt"'
tek_red++
tek_red++
@ tek_red, 0 say ' select 1'
tek_red++
@ tek_red, 0 say ' use _struct new'
tek_red++
@ tek_red, 0 say ' tek_red = 0'
tek_red++
@ tek_red, 0 say ' set device to printer'
tek_red++
@ tek_red, 0 say ' set printer to &nomyx'  
tek_red++
@ tek_red, 0 say ' tek_red++'
tek_red++
@ tek_red, 0 say ' tek_red++'
tek_red++
@ tek_red, 0 say ' @ tek_red, 5 say '+'"      _Structur DataBase SQLite :"'+ '+ SPACE(1) + cDBName + SPACE(2) + DTOC(DATE())'   
tek_red++
@ tek_red, 0 say ' tek_red++'  
tek_red++
@ tek_red, 0 say ' tek_red++'  
tek_red++
@ tek_red, 0 say ' @ tek_red, 5 say '+'" Table_Type:  "' + ' + SPACE(2) + _struct->TABTYPE'
tek_red++
@ tek_red, 0 say ' tek_red++'  
tek_red++
@ tek_red, 0 say ' tek_red++'  
tek_red++
@ tek_red, 0 say ' @ tek_red, 5 say '+'" Table_Name:  "' + ' + SPACE(2) + _struct->TABNAME'
tek_red++
@ tek_red, 0 say ' tek_red++'  
tek_red++
@ tek_red, 0 say ' tek_red++'  
tek_red++
@ tek_red, 0 say ' @ tek_red, 5 say '+'" Table_SQLite:"' + ' + SPACE(2) + ALLTRIM(_struct->TABSQL)'
tek_red++
@ tek_red, 0 say ' tek_red++'  
tek_red++
@ tek_red, 0 say ' tek_red++'  
tek_red++
@ tek_red, 0 say ' set printer to' 
tek_red++
@ tek_red, 0 say ' set device to screen'
tek_red++
@ tek_red, 0 say ' dbcloseall()'
tek_red++
tek_red++
@ tek_red, 0 say ' SQlCopyT :='+ '"stru"'+'+ ALLTRIM(iiNom)+'+'".txt"' 
tek_red++
@ tek_red, 0 say ' IF FILE( SQlCopyT)' 
tek_red++
@ tek_red, 0 say '    COPY FILE(  SQlCopyT ) TO ('+'"..\"'+'+  SQlCopyT )' 
tek_red++
@ tek_red, 0 say ' ENDIF  ' 
tek_red++
tek_red++
@ tek_red, 0 say ' Return Nil' 
tek_red++
tek_red++
tek_red++
@ tek_red, 0 say '*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*'
tek_red++
tek_red++
set printer to 
set device to screen
setprc(0,0)

dbcloseall()

MsgInfo ( 'Generate:  ' + _imp_prg + ' !')

DIRCHANGE( PriNc ) 
  
*--------------------------------------------------------------------*
Copyx0 := 'imp' + DbfNomy + '.prg'           
Copyx1 := DbfNomy  + '.dbf'
Copyx2 := DbfNomy  + '.fpt'
Copyx3 := DbfNomy  + '.dbt'
Copyx4 := DbfNomy  + '.mem'
*--------------------------------------------------------------------*
IF FILE(Copyx0)
   COPY FILE( Copyx0) TO ( 'SQLite_New_PRG\'+ Copyx0 )  
   DIRCHANGE( PriNc ) 
   FileDelete(Copyx0)                                                          
ENDIF
IF FILE(Copyx1)
   COPY FILE( Copyx1) TO ( 'SQLite_New_PRG\'+ Copyx1  )
ENDIF
IF FILE(Copyx2)
   COPY FILE( Copyx2) TO ( 'SQLite_New_PRG\'+ Copyx2  )
ENDIF
IF FILE(Copyx3)
   COPY FILE( Copyx3) TO ( 'SQLite_New_PRG\'+ Copyx3  )
ENDIF
IF FILE(Copyx4)
   COPY FILE( Copyx4) TO ( 'SQLite_New_PRG\'+ Copyx4  )
ENDIF
*--------------------------------------------------------------------*

DIRCHANGE( PriNc )   
CLOSE DATABASES
 select 1
 use _Files

RETURN


*------------------------------------------------------------* 
FUNCTION read_dir
*------------------------------------------------------------* 

LOCAL afiles, list_dbf, jj, act_sel, i, ii, e_name, w_ext, w_name

IF ! FILE ("_Files.dbf")
   list_dbf := {}
   AADD(list_dbf,{"name","c",8,0})
   AADD(list_dbf,{"ext" ,"c",3,0})
   DBCREATE("_Files",list_dbf)
ENDIF

afiles = DIRECTORY()
jj = LEN(afiles)

IF jj = 0
   RETURN -1
ENDIF

act_sel = SELECT()

SELECT 0
USE _Files
ZAP
dbgotop()

FOR i = 1 TO jj
   e_name = afiles[i][1]
   w_ext = ''
   
   ii = AT(".",e_name)
   IF ii = 0
      w_name = e_name+REPLICATE(' ',8-LEN(e_name))
      w_ext  = ''
   ELSE
      w_name = SUBSTR(e_name,1,ii-1)+REPLICATE(' ',9-ii)
      w_ext  = SUBSTR(e_name,ii+1,3)
   ENDIF

   if substr(w_name,1,1) = '_'
      loop
   endif
   
   if upper(w_ext) != 'DBF'
      loop
   endif
   
   dbappend()
   REPLACE name WITH upper(w_name)
   REPLACE ext  WITH w_ext
NEXT

dbcloseall()

RETURN 0

**************************************************************************************************














